aboutsummaryrefslogtreecommitdiff
path: root/network/nyxt
diff options
context:
space:
mode:
authorPu Du <pu.du@ro.ru>2023-07-13 19:11:31 +0900
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2023-07-15 17:30:04 +0700
commit014dd434a1a602c43e533cfc83ec6a58c1a55425 (patch)
tree8895915af2d89cfd57b5d596a6238377479359b3 /network/nyxt
parent777b3aebf03c75af9db18e30b26e6a43034a613d (diff)
network/nyxt: Added (web browser).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/nyxt')
-rw-r--r--network/nyxt/README3
-rw-r--r--network/nyxt/doinst.sh9
-rw-r--r--network/nyxt/nyxt.SlackBuild89
-rw-r--r--network/nyxt/nyxt.info10
-rw-r--r--network/nyxt/slack-desc19
5 files changed, 130 insertions, 0 deletions
diff --git a/network/nyxt/README b/network/nyxt/README
new file mode 100644
index 0000000000000..376aba2c78624
--- /dev/null
+++ b/network/nyxt/README
@@ -0,0 +1,3 @@
+Nyxt is a keyboard-driven web browser designed for power users.
+Inspired by Emacs and Vim, it has familiar keybindings
+(Emacs, vi, CUA), and is infinitely extensible in Lisp.
diff --git a/network/nyxt/doinst.sh b/network/nyxt/doinst.sh
new file mode 100644
index 0000000000000..65c7e2eeb9aa5
--- /dev/null
+++ b/network/nyxt/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/nyxt/nyxt.SlackBuild b/network/nyxt/nyxt.SlackBuild
new file mode 100644
index 0000000000000..af432e41681bd
--- /dev/null
+++ b/network/nyxt/nyxt.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for nyxt
+
+# Copyright 2023, Pu Du
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=nyxt
+VERSION=${VERSION:-3.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-source-with-submodules.tar.xz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# use $TMP/$PRGNAM-$VERSION/.cache dir instead of $HOME/.cache/common-lisp/
+(
+ code="(setf asdf:*user-cache* \"$TMP/$PRGNAM-$VERSION/.cache/\")"
+ sed "s,--eval '(require \"asdf\")',& --eval '$code'," -i makefile
+)
+
+(
+ export PREFIX=/usr NASDF_COMPRESS=t
+ make -j1 doc nyxt LIBDIR=$PREFIX/lib${LIBDIRSUFFIX} NASDF_SOURCE_PATH=$PREFIX/share/nyxt
+ make install DESTDIR=$PKG LIBDIR=$PKG/$PREFIX/lib${LIBDIRSUFFIX}
+)
+
+# It's not a good idea to strip the lisp image, so we don't
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a manual.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/nyxt/nyxt.info b/network/nyxt/nyxt.info
new file mode 100644
index 0000000000000..e53c173c68e17
--- /dev/null
+++ b/network/nyxt/nyxt.info
@@ -0,0 +1,10 @@
+PRGNAM="nyxt"
+VERSION="3.3.0"
+HOMEPAGE="https://nyxt.atlas.engineer/"
+DOWNLOAD="https://github.com/atlas-engineer/nyxt/releases/download/3.3.0/nyxt-3.3.0-source-with-submodules.tar.xz"
+MD5SUM="7bce41627657f8e3464e1ed6c0441f6d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libfixposix sbcl webkit2gtk"
+MAINTAINER="Pu Du"
+EMAIL="pu.du@ro.ru"
diff --git a/network/nyxt/slack-desc b/network/nyxt/slack-desc
new file mode 100644
index 0000000000000..05367e0fb467a
--- /dev/null
+++ b/network/nyxt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nyxt: nyxt (hacker's power-browser)
+nyxt:
+nyxt: Nyxt is a keyboard-driven web browser designed for power users.
+nyxt: Inspired by Emacs and Vim, it has familiar keybindings
+nyxt: (Emacs, vi, CUA), and is infinitely extensible in Lisp.
+nyxt:
+nyxt:
+nyxt:
+nyxt:
+nyxt:
+nyxt: